/[CCFs]/bin/buildagain
ViewVC logotype

Diff of /bin/buildagain

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.6 by ccflib, Fri Nov 11 15:42:25 2005 UTC revision 1.11 by ccflib, Fri Nov 11 16:58:32 2005 UTC
# Line 1  Line 1 
1  #! /usr/local/bin/bash  #! /usr/local/bin/bash
2  #  #
3  # $Id: buildagain,v 1.5 2005/11/11 15:40:06 ccflib Exp $  # $Id: buildagain,v 1.10 2005/11/11 16:37:07 ccflib Exp $
4  #  #
5  # + Build again a specific set of CCF packages  # + Build again a specific set of CCF packages
6    # + Moves the resulting CCF to final destination
7    #   (makes in part the same that acceptbuild)
8  #  #
9  # Exit code:  # Exit code:
10  #  + -1 (255): nothing to build  #  + -1 (255): nothing to build
# Line 10  Line 12 
12  #  + 2: SAS set up cannot find deceit  #  + 2: SAS set up cannot find deceit
13    
14  if [ -z $1 ] ; then  if [ -z $1 ] ; then
15     echo "Abort: No package to process defined"     echo "Abort: Undefined package to process again"
16     exit -1     exit -1
17  fi  fi
18    
# Line 56  if [ -d $builddir ] ; then Line 58  if [ -d $builddir ] ; then
58  fi  fi
59  mkdir -p $builddir  mkdir -p $builddir
60  cd $builddir || exit 1  cd $builddir || exit 1
61  echo -n Removing the contents of $builddir ...  echo Removing the contents of $builddir ...
62  rm -fr *  rm -fr *
63    
64  mkdir packages || exit 1  mkdir packages || exit 1
# Line 81  cd ~- ; cd packages Line 83  cd ~- ; cd packages
83    
84  for p in $plist; do  for p in $plist; do
85     echo "making package $p"     echo "making package $p"
86  #   thisp=`basename $p '.tgz' | sed -e 's/-[0-9]\{1,\}\.[0-9]\{1,\}$//'`     thisp=`basename $p '.tgz' | sed -e 's/-[0-9]\{1,\}\.[0-9]\{1,\}$//'`
87  #   buildpkg $thisp && (echo ok) || (echo FAILED ;   cat $builddir/build.log)  #   buildpkg $thisp && (echo ok) || (echo FAILED ;   cat $builddir/build.log)
88  done  done
89    
90    # Now moves resulting CCF to final destinations
91    
92    cd $builddir || exit 1
93    
94    # notice that this is different of the standard builddir which is
95    # set to $HOME/builds/tmp, so the find command will not mess up
96    # with it
97    
98    flist=`find . -name '*.CCF'`
99    
100    if [ -z "$flist" ] ; then
101      exit 0
102    fi
103    
104    for f in $flist ; do
105      b=`basename $f`
106      echo Considering $b ...
107      if [ -e $ccfdir/$b -o -e $ccfrel/$b -o -e $scisimdir/$b ] ; then
108        echo "    it already exists. REJECTED."
109      else
110        if [ -e $ccfdeveldir/$b ] ; then
111          echo "    it already exists in the development area and it will be overwritten."
112        fi
113    #    ccfextseq --sets=$f
114        if [ $? -ne 0 ] ; then
115          echo "   validation stage failed. REJECTED."
116        else
117    #      cp $f $ccfdeveldir || exit 1
118          echo "    accepted into $ccfdeveldir."
119        fi
120      fi
121    done    

Legend:
Removed from v.1.6  
changed lines
  Added in v.1.11

  ViewVC Help
Powered by ViewVC 1.1.27